package com.bonus.canteen.core.order.deprecated.param;

import java.time.LocalDate;
import java.time.LocalDateTime;

public class OrdMachineParam {
   private LocalDate localdate;
   private LocalDateTime startDateTime;
   private LocalDateTime endDateTime;
   private Long intervalId;
   private Integer mealtimeType;
   private String mchNum;
   private String machineSn;
   private Long custId;
   private String serialNum;
   private Integer ifWriteOff;

   public LocalDate getLocaldate() {
      return this.localdate;
   }

   public LocalDateTime getStartDateTime() {
      return this.startDateTime;
   }

   public LocalDateTime getEndDateTime() {
      return this.endDateTime;
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public Integer getMealtimeType() {
      return this.mealtimeType;
   }

   public String getMchNum() {
      return this.mchNum;
   }

   public String getMachineSn() {
      return this.machineSn;
   }

   public Long getCustId() {
      return this.custId;
   }

   public String getSerialNum() {
      return this.serialNum;
   }

   public Integer getIfWriteOff() {
      return this.ifWriteOff;
   }

   public void setLocaldate(final LocalDate localdate) {
      this.localdate = localdate;
   }

   public void setStartDateTime(final LocalDateTime startDateTime) {
      this.startDateTime = startDateTime;
   }

   public void setEndDateTime(final LocalDateTime endDateTime) {
      this.endDateTime = endDateTime;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setMealtimeType(final Integer mealtimeType) {
      this.mealtimeType = mealtimeType;
   }

   public void setMchNum(final String mchNum) {
      this.mchNum = mchNum;
   }

   public void setMachineSn(final String machineSn) {
      this.machineSn = machineSn;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setSerialNum(final String serialNum) {
      this.serialNum = serialNum;
   }

   public void setIfWriteOff(final Integer ifWriteOff) {
      this.ifWriteOff = ifWriteOff;
   }

}
